package com.liquidnet.service.adam.constant;
/**
 * @author Li Chen
 * @date 2020-11-04 14:02
 */
public class AdamRedisConst {
    public static final String ADAM = "adam";

    public static final String INFO_IDENTITY = ADAM.concat(":identity");
    public static final String INFO_IDENTITY_MOBILE = INFO_IDENTITY.concat(":mobile");
    public static final String INFO_IDENTITY_THIRD_PARTY = INFO_IDENTITY.concat(":third_party");
    public static final String INFO_USER = ADAM.concat(":list:user");
    public static final String INFO_REAL_NAME = ADAM.concat(":list:real_name");
    public static final String INFO_THIRD_PARTY = ADAM.concat(":list:third_party");

    public static final String INFO_ENTERS = ADAM.concat(":list:enters:");
    public static final String INFO_ADDRESSES = ADAM.concat(":list:addresses:");

    public static final String INFO_MEMBERS = ADAM.concat(":list:members");
    public static final String INFO_MEMBERS_INFO = ADAM.concat(":list:members:info:");
    public static final String INFO_MEMBERS_PRICE_INFO = ADAM.concat(":list:members:price:info:");
    public static final String INFO_MEMBERS_CODE_INFO = ADAM.concat(":list:members:code:info:");
    public static final String MEMBER_MEMBER_NO_MAX_KEY = ADAM.concat(":members:member_no_max:");
    public static final String INFO_MEMBERS_USER = ADAM.concat(":list:members:user");
    public static final String INFO_MEMBERS_REPERTORY_INFO = ADAM.concat(":list:members:repertory:");
    public static final String INFO_MEMBERS_ORDER_INFO = ADAM.concat(":list:members:order:");

//    public static final String USER_CONFIRM_SMS_CODE_KEY = ADAM + ":user:sms_confirm:";
//
//    public static final String USER_EMAIL_CONFIRM_KEY = ADAM + ":user:email:confirm:";
//
//    public static final String USER_EMAIL_UPDATE_KEY = ADAM + ":user:email:update:";
//
//    public static final String USER_PASSWORD_FORGET_KEY = ADAM + ":user:password:forget:";
//
//    public static final String USER_PASSWORD_ERROR_KEY = ADAM + ":user:password:error:";
//
//    public static final String CONVERSION_SEND_CONFIRM_KEY = ADAM + ":conversion:send_confirm:";
//
//    public static final String WALLET_LOCK = ADAM + "_wallet_lock_";
//
//    public static final String FUNDING_LOCK = ADAM + "_funding_lock_";
//
//    public static final String PAYOUT_LOCK = ADAM + "_payout_lock_";
//
//    public static final String USER_LOGIN_TIME_OUT_KEY = ADAM + ":user:login:timeout:";
//
//    public static final String USER_LOGIN_TOKEN_ITEM_EMAIL_CHANGE = "emailChangeFlag";
//
//    public static final String USER_LOGIN_KEY = ADAM + ":user:login:";
//
//    public static final String USER_LOGIN_ITEM_TOKEN = "token";
//
//    public static final String USER_LOGIN_ITEM_PERMIT = "permit";

}
